/*
 * Copyright (c) 1998,1999 The University of Utah and the Flux Group.
 * All rights reserved.
 * 
 * This file is part of Janos.
 * 
 * Janos is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License, version 2, as
 * published by the Free Software Foundation.
 * 
 * Janos is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details, in the file
 * COPYING.  If that file is not present, write to the Free
 * Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * The University of Utah and the Flux Group requests users to
 * return to flux-dist@cs.utah.edu any improvements that they make.
 */
package JANOS_ANTS_UTILS_PKG;

/**
 * This interface maps a fully qualified class name to an array of bytes.
 */
public interface ByteCodeReader
{
	/**
	 * Read byte code.
	 *
	 * @param name	fully qualified class name (using dots as separators
	 *		and no trailing .class suffix)
	 * @return array of bytes in class file format
	 */
	byte[] readByteCode(String name) throws Exception;
}
