/*
 * CycleTimer.Java
 *
 * Copyright (c) 1999 The University of Utah and the Flux Group.
 * All rights reserved.
 * 
 * This file is part of Janos.
 * 
 * Janos is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License, version 2, as
 * published by the Free Software Foundation.
 * 
 * Janos is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details, in the file
 * COPYING.  If that file is not present, write to the Free
 * Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * The University of Utah and the Flux Group requests users to
 * return to flux-dist@cs.utah.edu any improvements that they make.
 */
package JANOS_CORE_PKG;

import java.io.PrintStream;
import java.util.Vector;
import java.util.Enumeration;

/**
 * A table for cycle timer results.
 *
 * XXX Make this more generic.
 *
 * %AUTHOR_CKH%
 */
public class CycleTimerTable
	extends Vector
{
	public void resetAll()
	{
		for(Enumeration e = elements(); e.hasMoreElements();)
		{
			CycleTimer timer = (CycleTimer) e.nextElement();
			timer.reset();
		}
	}

	public void print(PrintStream out)
	{
		String blank = "";

		for(Enumeration e = elements(); e.hasMoreElements();)
		{
			CycleTimer timer = (CycleTimer) e.nextElement();
			while(timer.name.length() > blank.length())
				blank += " ";
		}

		for(Enumeration e = elements(); e.hasMoreElements();)
		{
			CycleTimer timer = (CycleTimer) e.nextElement();
			out.println(
				  timer.name
				+ ": "
				+ blank.substring(timer.name.length())
				+ "\t"
				+ rJust(timer.count)
				+ "\t"
				+ rJust(timer.avg())
				+ "\t"
				+ rJust(timer.stdDev()));
		}
	}

	private String rJust(long n)
	{
		String blank = "          ";
		String s = "" + n;
		return blank.substring(Math.min(s.length(), blank.length())) + s;
	}
}
