/*
 * FlowState.Java
 *
 * Copyright (c) 1999 The University of Utah and the Flux Group.
 * All rights reserved.
 * 
 * This file is part of Janos.
 * 
 * Janos is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License, version 2, as
 * published by the Free Software Foundation.
 * 
 * Janos is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details, in the file
 * COPYING.  If that file is not present, write to the Free
 * Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * The University of Utah and the Flux Group requests users to
 * return to flux-dist@cs.utah.edu any improvements that they make.
 */
package JANOS_CORE_PKG;

/**
 * Per-flow data.
 *
 * XXX why is this separate from the Flow?
 */
PACKAGE final class FlowState
{
	/**
	 * XXX: need to examine the global locking structure for
	 * deadlock, etc
	 * <p>
	 * XXX: Probably should move to locks on each element of the
	 * state and not a global state lock.
	 */
	PACKAGE final Object lock = new Object();

	// Used by UdpBuffer
	PACKAGE int numBuffers;
	PACKAGE int freeBuffers;

	// Used by PacketWorker
	PACKAGE PacketWorker packetWorkerFreeList;

	PACKAGE FlowState(MemSpec memSpec)
	{
		numBuffers = memSpec.numBuffers;
		freeBuffers = numBuffers;
		UdpBuffer.addBuffers(numBuffers);
	}

	PACKAGE void init(Flow flow)
	{
		PacketWorker.init(flow);
	}
}
