/*
 * Log.Java
 *
 * Copyright (c) 1999 The University of Utah and the Flux Group.
 * All rights reserved.
 * 
 * This file is part of Janos.
 * 
 * Janos is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License, version 2, as
 * published by the Free Software Foundation.
 * 
 * Janos is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details, in the file
 * COPYING.  If that file is not present, write to the Free
 * Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * The University of Utah and the Flux Group requests users to
 * return to flux-dist@cs.utah.edu any improvements that they make.
 */
package JANOS_IO_PKG;

/**
 * Logging interfaces for Janos.
 * <p>
 * This is the replacement for stdio on a NodeOS.
 * <p>
 * Mimics syslog(3)
 */
public class Log
{
	public static final int EMERG       = 0; /* system is unusable */
	public static final int ALERT       = 1; /* action must be taken immediately */
	public static final int CRIT        = 2; /* critical conditions */
	public static final int ERR         = 3; /* error conditions */
	public static final int WARNING     = 4; /* warning conditions */
	public static final int NOTICE      = 5; /* normal but significant condition */
	public static final int INFO        = 6; /* informational */
	public static final int DBG         = 7; /* debug-level messages */

	private Log(String prefix)
	{
	}
}

