/*
 * LogId.Java
 *
 * Copyright (c) 1999 The University of Utah and the Flux Group.
 * All rights reserved.
 * 
 * This file is part of Janos.
 * 
 * Janos is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License, version 2, as
 * published by the Free Software Foundation.
 * 
 * Janos is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details, in the file
 * COPYING.  If that file is not present, write to the Free
 * Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * The University of Utah and the Flux Group requests users to
 * return to flux-dist@cs.utah.edu any improvements that they make.
 */
package JANOS_IO_PKG;

/**
 * Identity for a Log file.
 */
public class LogId
{
	private final String name;

	private LogId(String parent, String name)
	{
		this.name = (parent + "/" + name.replace('/','_')).intern();
	}

	/**
	 * Create a LogId with the specific name.
	 */
	private LogId(String root)
	{
		name = root.intern();
	}
	
	PACKAGE static LogId rootIdentity()
	{
		return new LogId("/");
	}

	public LogId newLogId(String name)
	{
		return new LogId(this.name, name);
	}

	public String name()
	{
		return name;
	}
}


