/* 
 * RouteEvent.Java
 *
 * Copyright (c) 1999 The University of Utah and the Flux Group.
 * All rights reserved.
 * 
 * This file is part of Janos.
 * 
 * Janos is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License, version 2, as
 * published by the Free Software Foundation.
 * 
 * Janos is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details, in the file
 * COPYING.  If that file is not present, write to the Free
 * Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * The University of Utah and the Flux Group requests users to
 * return to flux-dist@cs.utah.edu any improvements that they make.
 *  
 *  Copyright 1996 Massachusetts Institute of Technology
 * 
 *  Permission to use, copy, modify, distribute, and sell this software and
 *  its documentation for any purpose is hereby granted without fee, provided
 *  that the above copyright notice appear in all copies and that both that
 *  copyright notice and this permission notice appear in supporting
 *  documentation, and that the name of M.I.T. not be used in advertising or
 *  publicity pertaining to distribution of the software without specific,
 *  written prior permission.  M.I.T. makes no representations about the
 *  suitability of this software for any purpose.  It is provided "as is"
 *  without express or implied warranty.
 * 
 */
package JANOS_ROUTE_PKG;

/**
 * A timer event affecting the RouteTable entries.
 *
 * @author David Wetherall
 */
PACKAGE class RouteEvent 
{
	PACKAGE final static int EMPTY    = 0;
	PACKAGE final static int PERIODIC = 1<<0;
	PACKAGE final static int TRIGGER  = 1<<1;
	PACKAGE final static int DELETE   = 1<<2;
	PACKAGE final static int GC       = 1<<3;
	
	PACKAGE long when;
	PACKAGE int what;
	PACKAGE int deleteCount;
	PACKAGE int gcCount;
	
	PACKAGE RouteEvent(long when, int what) 
	{
		this.when = when;
		this.what = what;
		this.deleteCount = 0;
		this.gcCount = 0;
	}
}

